package nouritsu.types;

import fi.iki.elonen.NanoHTTPD.Response.Status;
import io.vavr.Function1;

public record Resp(String text, Status status) {
  public static Function1<String, Resp> OK = Function1.of(s -> new Resp(s, Status.OK));
  public static Function1<String, Resp> BAD_REQUEST = Function1.of(s -> new Resp(s, Status.BAD_REQUEST));
  public static Function1<String, Resp> CREATED = Function1.of(s -> new Resp(s, Status.CREATED));
  public static Function1<String, Resp> NOT_FOUND = Function1.of(s -> new Resp(s, Status.NOT_FOUND));
}
