plugins {
  java
  application
}

group = "moe.kageru"
version = "0.1.0"

repositories {
  mavenCentral()
}

java {
  sourceCompatibility = JavaVersion.VERSION_15
  targetCompatibility = JavaVersion.VERSION_15
}

tasks.withType<JavaCompile> {
  options.compilerArgs.add("--enable-preview")
}

tasks.run {
}

tasks.test {
  useJUnitPlatform()
  jvmArgs("--enable-preview")
}

application {
  mainClass.set("nouritsu.Nouritsu")
  applicationDefaultJvmArgs = listOf("--enable-preview")
}

dependencies {
  implementation("org.nanohttpd:nanohttpd:2.3.1")
  implementation("redis.clients:jedis:3.3.0")
  implementation("io.vavr:vavr:1.0.0-alpha-3")
  implementation("io.vavr:vavr-jackson:1.0.0-alpha-3")
  implementation("com.fasterxml.jackson:jackson-base:2.11.1")
}
